﻿using MySql.Data.MySqlClient;
using System;
using System.Data;
using System.Windows.Forms;


namespace Report_MySQL
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            c1Report1.Load(Application.StartupPath + @"\..\..\rpt_MySQL.xml", "MySQL Report");
            MySqlConnection conn = null;
            MySqlCommand cmd = null;
            DataTable dataTable = new DataTable();

            try
            {
                string sql = "SELECT * FROM stuff_master";

                conn = new MySqlConnection("SERVER=in-ggs-praveen;UID=root;PWD=root;DATABASE=test;");
                cmd = new MySqlCommand(sql, conn);
                conn.Open();
                using (MySqlDataAdapter da = new MySqlDataAdapter(cmd))
                {
                    da.Fill(dataTable);
                }

                c1Report1.DataSource.Recordset = dataTable;
                c1Report1.Render();   
            }
            catch (Exception ex)
            {
                MessageBox.Show(string.Format("An error occurred {0}", ex.Message), "Error", MessageBoxButtons.OK, MessageBoxIcon.Error);
            }
            finally
            {
                if (conn != null) conn.Close();
            }

        }
    }
}
